Talk:Ubuntu Gutsy Installation Guide

From cchtml.com
Revision as of 20:09, 24 October 2007 by 84.114.139.79 (Talk)

Jump to: navigation, search

Updated some information only applicable for Gutsy

I've updated some minor details about the fglrx-installation in Gutsy:

  • By default, Gutsy (and Feisty too) now have Universe and Multiverse enabled
  • The fglrx-version in Gutsy's linux-restricted-modules is 8.37.6 and not 8.28.8

Jealma 04:35, 19 October 2007 (CDT)

libGL error

  • fglrxinfo gives: libGL.so.1: cannot open shared object file.
  • Fixed with command:
sudo ln /usr/lib/libGL.so.1.2 /usr/lib/libGL.so.1

installation hint

I followed this guide and fglrxinfo yielded the desired output.

But then I still got the following problems:

  • crash/restart of X when trying to run glxgears
  • crash/restart of X when trying to watch mythtv recording
  • visual artefacts from window creation

The cause I assumed in that:

glxinfo | grep direct

did not yield 'yes' but 'no' and 'Mesa Indirect'

Long search, quick solution:

apt-get remove xserver-xgl

Note: I don't really know what this actually does in the context of a desired installation, so try at your own risk. I assume this being installed from my earlier Feisty installation where I tried out compiz and AIGLX was not supported by the driver.

After removing the xserver-xgl package, all problems described above vanished.

Maybe someone with more detailed knowledge might find it useful to add a paragraph to the page.